## org.eclipse.uml2.uml
Interface StartObjectBehaviorAction

All Superinterfaces:
  Action, ActivityNode, CallAction, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, InvocationAction, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

    public interface StartObjectBehaviorAction

extends CallAction

A representation of the model object 'Start Object Behavior Action'. StartObjectBehaviorAction is an action that starts the execution either of a directly instantiated behavior or of the classifier behavior of an object. Argument values may be supplied for the input parameters of the behavior. If the behavior is invoked synchronously, then output values may be obtained for output parameters.

The following features are supported:

- `Object`

See Also:
  `UMLPackage.getStartObjectBehaviorAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InputPin` `createObject(java.lang.String name, Type type)` Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Object' containment reference
`InputPin` `createObject(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Object' containment reference
`InputPin` `getObject()` Returns the value of the 'Object' containment reference.
`void` `setObject(InputPin value)` Sets the value of the '`Object`' containment reference
`boolean` `validateMultiplicityOfObject(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of the object input pin must be [1..1].
`boolean` `validateNumberOrderArguments(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The number and order of the argument pins must be the same as the number and order of the in and in-out parameters of the invoked behavior.
`boolean` `validateNumberOrderResults(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The number and order of result pins must be the same as the number and order of the in-out, out and return parameters of the invoked behavior.
`boolean` `validateTypeOfObject(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The type of the object input pin must be either a Behavior or a BehavioredClassifier with a classifier behavior.
`boolean` `validateTypeOrderingMultiplicityMatch(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The type, ordering, and multiplicity of an argument or result pin must be the same as the corresponding parameter of the behavior.

Methods inherited from interface org.eclipse.uml2.uml.CallAction
`createResult, getResult, getResult, getResults, isSynchronous, setIsSynchronous, validateNumberAndOrder, validateSynchronousCall, validateTypeOrderingMultiplicity`

Methods inherited from interface org.eclipse.uml2.uml.InvocationAction
`createArgument, createArgument, getArgument, getArgument, getArguments, getOnPort, setOnPort, validateOnPortReceiver`

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getObject

    InputPin getObject()

  Returns the value of the 'Object' containment reference.

  This feature subsets the following features:

  - '`Input`'
  Holds the object which is either a behavior to be started or has a classifier behavior to be started.

  Returns:
    the value of the 'Object' containment reference.
  See Also:
    `setObject(InputPin)`, `UMLPackage.getStartObjectBehaviorAction_Object()`

### setObject

    void setObject(InputPin value)

  Sets the value of the '`Object`' containment reference.

  Parameters:
    `value` - the new value of the 'Object' containment reference.
  See Also:
    `getObject()`

### createObject

    InputPin createObject(java.lang.String name,
                          Type type,
                          org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Object' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getObject()`

### createObject

    InputPin createObject(java.lang.String name,
                          Type type)

  Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Object' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getObject()`

### validateTypeOfObject

    boolean validateTypeOfObject(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The type of the object input pin must be either a Behavior or a BehavioredClassifier with a classifier behavior. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateMultiplicityOfObject

    boolean validateMultiplicityOfObject(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of the object input pin must be [1..1]. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateNumberOrderArguments

    boolean validateNumberOrderArguments(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

  The number and order of the argument pins must be the same as the number and order of the in and in-out parameters of the invoked behavior. Pins are matched to parameters by order. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateNumberOrderResults

    boolean validateNumberOrderResults(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

  The number and order of result pins must be the same as the number and order of the in-out, out and return parameters of the invoked behavior. Pins are matched to parameters by order. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateTypeOrderingMultiplicityMatch

    boolean validateTypeOrderingMultiplicityMatch(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map<java.lang.Object,java.lang.Object> context)

  The type, ordering, and multiplicity of an argument or result pin must be the same as the corresponding parameter of the behavior. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.